It's easy to confuse…">
Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-attachments.get-attachments ​

Returns a list of envelope attachments associated with a specified envelope. <!-- std notice DEVDOCS-114911 --> <ds-inlinemessage kind="information" markdown="1"> It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To get a list of user-visible attachments, use EnvelopeDocuments: get. To learn about the different types of attachments, see Attachments in the concept guide. </ds-inlinemessage> <!-- end notice DEVDOCS-114911 -->

Returns a list of envelope attachments associated with a specified envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-attachments.get-attachments",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}